# coding=utf-8

from django.conf.urls import url, include
from .views import *

urlpatterns = [
    url(r'^token/refresh/', CustomerRefreshTokenView),
    url(r'^token/verify/', CustomerVerifyTokenView),

    url(r'^code2Session/$', WxLoginView.as_view()),
    url(r'^setUserInfo/$', SetUserInfoView.as_view()),
    url(r'^wxbind/$', WxBindView.as_view()),

    url(r'^home/statistics/$', HomeStatisticsView.as_view()),
    url(r'^statistics/repair/$', StatisticsRepairView.as_view()),
    url(r'^statistics/evaluate/$', StatisticsEvaluateView.as_view()),
    url(r'^poster/$', PosterView.as_view()),
    url(r'^dict/$', DictView.as_view()),
    url(r'^get_device/$', DeviceView.as_view()),
    url(r'^message/$', MessageView.as_view()),  # 个人消息
    url(r'^message_list/$', MessageListView.as_view()),  # 个人消息列表
    url(r'^notices/$', NoticesView.as_view()),  # 通知
    url(r'^notices/(?P<pk>[0-9]+)/$', NoticesDetailView.as_view()),  # 通知详情

    url(r'^repair_order/', include('apps.wxapp.repair_order.urls')),
    url(r'^inspection_order/', include('apps.wxapp.inspection_order.urls')),
    url(r'^tenant/', include('apps.wxapp.tenant.urls')),
]
